#!/usr/bin/perl
use Cwd;
use File::Copy;

$currentWorkDir = &Cwd::cwd();
$data_file="/var/opt/openit/inst/config/install_conf.client";
open(DAT, $data_file) || exit(1);
my $boot_script = "none";
while($line = <DAT>) {
	$line =~ s/^(\w+)\ ([^\n]*)\n//;
	if($1 eq "BOOT_SCRIPT")
	  {
	  $boot_script = $2;
	  last;
	  }		
	}
close(DAT);
#check if there is a path for the boot script
if ($boot_script ne "none") 
  {
  if( -e $boot_script )
    {
    if($boot_script =~ m/\/openit-client$/) {
    	  print "Replacing boot script\n";
    	  $fsource = "$currentWorkDir/files/openit-client";
    	  $ftarget = $boot_script;
    	  $fbackup = "$boot_script.old";
	  print "Saving old boot script with extension .old\n";
    	  copy($ftarget,$fbackup);
    	  print "Copy $fsource to $ftarget\n";
    	  copy($fsource,$ftarget);
    	  chmod 0755, $ftarget;
	  exit(0);
	  }
    else
          {
          print "Name of init script differs, skipping patch.\n";
	  exit(1);
          }
    } 
  else
    {
    print "No boot script found, skipping\n";
    exit(1);
    }
  
  }
else
  {
  print "No boot script found, skipping\n";
  exit(1);
  }

